Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GNU Prolog for Java
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gnu.prolog.database
Class AbstractPrologTextLoaderListener

    java.lang.Object
      gnu.prolog.database.AbstractPrologTextLoaderListener

All Implemented Interfaces:
  PrologTextLoaderListener

    public class AbstractPrologTextLoaderListener

extends Object
implements PrologTextLoaderListener

Default implementation that doesn't do anything

Author:
  Michiel Hendriks

Constructor Summary
`AbstractPrologTextLoaderListener()`

Method Summary
`void` | `afterIncludeFile(PrologTextLoader loader)` Called right after an include file has been processed and before the loader returns to the previous file.
`void` | `afterProcessFile(PrologTextLoader loader)` Called right after the file has been processed
`void` | `beforeIncludeFile(PrologTextLoader loader, Term argument)` Called before an include file is being processed.
`void` | `beforeProcessFile(PrologTextLoader loader)` Called right before the file is being processed

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractPrologTextLoaderListener

    public AbstractPrologTextLoaderListener()

Method Detail

### afterIncludeFile

    public void afterIncludeFile(PrologTextLoader loader)

  Description copied from interface: `PrologTextLoaderListener`
  Called right after an include file has been processed and before the loader returns to the previous file.

  Specified by:
    `afterIncludeFile` in interface `PrologTextLoaderListener`

### afterProcessFile

    public void afterProcessFile(PrologTextLoader loader)

  Description copied from interface: `PrologTextLoaderListener`
  Called right after the file has been processed

  Specified by:
    `afterProcessFile` in interface `PrologTextLoaderListener`

### beforeIncludeFile

    public void beforeIncludeFile(PrologTextLoader loader,
                                  Term argument)

  Description copied from interface: `PrologTextLoaderListener`
  Called before an include file is being processed. The loader's currentFile fields have not been updated yet.

  Specified by:
    `beforeIncludeFile` in interface `PrologTextLoaderListener`
    `argument` - The argument passed to the include directive

### beforeProcessFile

    public void beforeProcessFile(PrologTextLoader loader)

  Description copied from interface: `PrologTextLoaderListener`
  Called right before the file is being processed

  Specified by:
    `beforeProcessFile` in interface `PrologTextLoaderListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GNU Prolog for Java
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD